Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.security.acl
Interface DynamicUserAcl

public interface DynamicUserAcl
extends BasicRealm

Supports the dynamic creation of ACLs for owned resources. Rather than being able to create arbitrary ACLs, the newUserAcl member function creates a new ACL that refines an existing ACL by adding permissions for the current user. This allows everyone to create standard ACLs for resources they created themselves.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `newUserAcl(java.lang.String newName, char separator, java.security.acl.Permission[] permissions)` Adds a new Acl to a Realm that grants the current user permissions.

Methods inherited from interface weblogic.security.acl.BasicRealm
`getAcl, getAcl, getAclOwner, getGroup, getName, getPermission, getUser, getUser, init, load, save`

Method Detail

### newUserAcl

    public void newUserAcl(java.lang.String newName,
                           char separator,
                           java.security.acl.Permission[] permissions)
                    throws java.lang.SecurityException

  Adds a new Acl to a Realm that grants the current user permissions. Throws a security exception if an Acl by that name already exists or the current thread is not auditable. The permissions are added to the entries found in the default Acl obtained by `getAcl(newName, separator)`.

  Parameters:
    `newName` - Name of Acl to be added
    `separator` - Character separator for an Acl hierarchy
    `permissions` - Array of permissions to add to the Acl
  Throws:
    java.lang.SecurityException - if the Acl cannot be added

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD